Loading...
Searching...
No Matches
TestSuite.h File Reference
`#include <cxxtest/Flags.h>`
`#include <cxxtest/TestTracker.h>`
`#include <cxxtest/Descriptions.h>`
`#include <cxxtest/ValueTraits.h>`

Go to the source code of this file.

## Data Structures

class | CxxTest::TestSuite
class | CxxTest::AbortTest

## Namespaces

namespace | CxxTest

## Macros

#define | TS_ABORT()
#define | _TS_TRY
#define | ___TSM_CATCH(f, l, m)
#define | __TSM_CATCH(f, l, m)
#define | __TS_CATCH(f, l)
#define | _TS_CATCH
#define | _TS_CATCH_TYPE(t, b)
#define | _TS_LAST_CATCH(b)
#define | _TS_CATCH_ABORT(b)
#define | _TS_TRACE(f, l, e)
#define | TS_TRACE(e)
#define | _TS_WARN(f, l, e)
#define | TS_WARN(e)
#define | _TS_FAIL(f, l, e)
#define | TS_FAIL(e)
#define | ___ETS_ASSERT(f, l, e, m)
#define | ___TS_ASSERT(f, l, e, m)
#define | _ETS_ASSERT(f, l, e)
#define | _TS_ASSERT(f, l, e)
#define | ETS_ASSERT(e)
#define | TS_ASSERT(e)
#define | _ETSM_ASSERT(f, l, m, e)
#define | _TSM_ASSERT(f, l, m, e)
#define | ETSM_ASSERT(m, e)
#define | TSM_ASSERT(m, e)
#define | ___ETS_ASSERT_EQUALS(f, l, x, y, m)
#define | ___TS_ASSERT_EQUALS(f, l, x, y, m)
#define | _ETS_ASSERT_EQUALS(f, l, x, y)
#define | _TS_ASSERT_EQUALS(f, l, x, y)
#define | ETS_ASSERT_EQUALS(x, y)
#define | TS_ASSERT_EQUALS(x, y)
#define | _ETSM_ASSERT_EQUALS(f, l, m, x, y)
#define | _TSM_ASSERT_EQUALS(f, l, m, x, y)
#define | ETSM_ASSERT_EQUALS(m, x, y)
#define | TSM_ASSERT_EQUALS(m, x, y)
#define | ___ETS_ASSERT_SAME_DATA(f, l, x, y, s, m)
#define | ___TS_ASSERT_SAME_DATA(f, l, x, y, s, m)
#define | _ETS_ASSERT_SAME_DATA(f, l, x, y, s)
#define | _TS_ASSERT_SAME_DATA(f, l, x, y, s)
#define | ETS_ASSERT_SAME_DATA(x, y, s)
#define | TS_ASSERT_SAME_DATA(x, y, s)
#define | _ETSM_ASSERT_SAME_DATA(f, l, m, x, y, s)
#define | _TSM_ASSERT_SAME_DATA(f, l, m, x, y, s)
#define | ETSM_ASSERT_SAME_DATA(m, x, y, s)
#define | TSM_ASSERT_SAME_DATA(m, x, y, s)
#define | ___ETS_ASSERT_DIFFERS(f, l, x, y, m)
#define | ___TS_ASSERT_DIFFERS(f, l, x, y, m)
#define | _ETS_ASSERT_DIFFERS(f, l, x, y)
#define | _TS_ASSERT_DIFFERS(f, l, x, y)
#define | ETS_ASSERT_DIFFERS(x, y)
#define | TS_ASSERT_DIFFERS(x, y)
#define | _ETSM_ASSERT_DIFFERS(f, l, m, x, y)
#define | _TSM_ASSERT_DIFFERS(f, l, m, x, y)
#define | ETSM_ASSERT_DIFFERS(m, x, y)
#define | TSM_ASSERT_DIFFERS(m, x, y)
#define | ___ETS_ASSERT_LESS_THAN(f, l, x, y, m)
#define | ___TS_ASSERT_LESS_THAN(f, l, x, y, m)
#define | _ETS_ASSERT_LESS_THAN(f, l, x, y)
#define | _TS_ASSERT_LESS_THAN(f, l, x, y)
#define | ETS_ASSERT_LESS_THAN(x, y)
#define | TS_ASSERT_LESS_THAN(x, y)
#define | _ETSM_ASSERT_LESS_THAN(f, l, m, x, y)
#define | _TSM_ASSERT_LESS_THAN(f, l, m, x, y)
#define | ETSM_ASSERT_LESS_THAN(m, x, y)
#define | TSM_ASSERT_LESS_THAN(m, x, y)
#define | ___ETS_ASSERT_LESS_THAN_EQUALS(f, l, x, y, m)
#define | ___TS_ASSERT_LESS_THAN_EQUALS(f, l, x, y, m)
#define | _ETS_ASSERT_LESS_THAN_EQUALS(f, l, x, y)
#define | _TS_ASSERT_LESS_THAN_EQUALS(f, l, x, y)
#define | ETS_ASSERT_LESS_THAN_EQUALS(x, y)
#define | TS_ASSERT_LESS_THAN_EQUALS(x, y)
#define | _ETSM_ASSERT_LESS_THAN_EQUALS(f, l, m, x, y)
#define | _TSM_ASSERT_LESS_THAN_EQUALS(f, l, m, x, y)
#define | ETSM_ASSERT_LESS_THAN_EQUALS(m, x, y)
#define | TSM_ASSERT_LESS_THAN_EQUALS(m, x, y)
#define | ___ETS_ASSERT_PREDICATE(f, l, p, x, m)
#define | ___TS_ASSERT_PREDICATE(f, l, p, x, m)
#define | _ETS_ASSERT_PREDICATE(f, l, p, x)
#define | _TS_ASSERT_PREDICATE(f, l, p, x)
#define | ETS_ASSERT_PREDICATE(p, x)
#define | TS_ASSERT_PREDICATE(p, x)
#define | _ETSM_ASSERT_PREDICATE(f, l, m, p, x)
#define | _TSM_ASSERT_PREDICATE(f, l, m, p, x)
#define | ETSM_ASSERT_PREDICATE(m, p, x)
#define | TSM_ASSERT_PREDICATE(m, p, x)
#define | ___ETS_ASSERT_RELATION(f, l, r, x, y, m)
#define | ___TS_ASSERT_RELATION(f, l, r, x, y, m)
#define | _ETS_ASSERT_RELATION(f, l, r, x, y)
#define | _TS_ASSERT_RELATION(f, l, r, x, y)
#define | ETS_ASSERT_RELATION(r, x, y)
#define | TS_ASSERT_RELATION(r, x, y)
#define | _ETSM_ASSERT_RELATION(f, l, m, r, x, y)
#define | _TSM_ASSERT_RELATION(f, l, m, r, x, y)
#define | ETSM_ASSERT_RELATION(m, r, x, y)
#define | TSM_ASSERT_RELATION(m, r, x, y)
#define | ___ETS_ASSERT_DELTA(f, l, x, y, d, m)
#define | ___TS_ASSERT_DELTA(f, l, x, y, d, m)
#define | _ETS_ASSERT_DELTA(f, l, x, y, d)
#define | _TS_ASSERT_DELTA(f, l, x, y, d)
#define | ETS_ASSERT_DELTA(x, y, d)
#define | TS_ASSERT_DELTA(x, y, d)
#define | _ETSM_ASSERT_DELTA(f, l, m, x, y, d)
#define | _TSM_ASSERT_DELTA(f, l, m, x, y, d)
#define | ETSM_ASSERT_DELTA(m, x, y, d)
#define | TSM_ASSERT_DELTA(m, x, y, d)
#define | ___TS_ASSERT_THROWS(f, l, e, t, m)
#define | _TS_ASSERT_THROWS(f, l, e, t)
#define | TS_ASSERT_THROWS(e, t)
#define | _TSM_ASSERT_THROWS(f, l, m, e, t)
#define | TSM_ASSERT_THROWS(m, e, t)
#define | ___TS_ASSERT_THROWS_ASSERT(f, l, e, t, a, m)
#define | _TS_ASSERT_THROWS_ASSERT(f, l, e, t, a)
#define | TS_ASSERT_THROWS_ASSERT(e, t, a)
#define | _TSM_ASSERT_THROWS_ASSERT(f, l, m, e, t, a)
#define | TSM_ASSERT_THROWS_ASSERT(m, e, t, a)
#define | TS_ASSERT_THROWS_EQUALS(e, t, x, y)
#define | TSM_ASSERT_THROWS_EQUALS(m, e, t, x, y)
#define | TS_ASSERT_THROWS_DIFFERS(e, t, x, y)
#define | TSM_ASSERT_THROWS_DIFFERS(m, e, t, x, y)
#define | TS_ASSERT_THROWS_DELTA(e, t, x, y, d)
#define | TSM_ASSERT_THROWS_DELTA(m, e, t, x, y, d)
#define | TS_ASSERT_THROWS_SAME_DATA(e, t, x, y, s)
#define | TSM_ASSERT_THROWS_SAME_DATA(m, e, t, x, y, s)
#define | TS_ASSERT_THROWS_LESS_THAN(e, t, x, y)
#define | TSM_ASSERT_THROWS_LESS_THAN(m, e, t, x, y)
#define | TS_ASSERT_THROWS_LESS_THAN_EQUALS(e, t, x, y)
#define | TSM_ASSERT_THROWS_LESS_THAN_EQUALS(m, e, t, x, y)
#define | TS_ASSERT_THROWS_PREDICATE(e, t, p, v)
#define | TSM_ASSERT_THROWS_PREDICATE(m, e, t, p, v)
#define | TS_ASSERT_THROWS_RELATION(e, t, r, x, y)
#define | TSM_ASSERT_THROWS_RELATION(m, e, t, r, x, y)
#define | ___TS_ASSERT_THROWS_ANYTHING(f, l, e, m)
#define | _TS_ASSERT_THROWS_ANYTHING(f, l, e)
#define | TS_ASSERT_THROWS_ANYTHING(e)
#define | _TSM_ASSERT_THROWS_ANYTHING(f, l, m, e)
#define | TSM_ASSERT_THROWS_ANYTHING(m, e)
#define | ___TS_ASSERT_THROWS_NOTHING(f, l, e, m)
#define | _TS_ASSERT_THROWS_NOTHING(f, l, e)
#define | TS_ASSERT_THROWS_NOTHING(e)
#define | _TSM_ASSERT_THROWS_NOTHING(f, l, m, e)
#define | TSM_ASSERT_THROWS_NOTHING(m, e)
#define | CXXTEST_COMPARISONS(CXXTEST_X, CXXTEST_Y, CXXTEST_T)
#define | CXXTEST_INTEGRAL(CXXTEST_T)
#define | CXXTEST_SMALL_BIG(CXXTEST_SMALL, CXXTEST_BIG)

## Functions

void | CxxTest::doAbortTest ()
bool | CxxTest::abortTestOnFail ()
void | CxxTest::setAbortTestOnFail (bool value)
unsigned | CxxTest::maxDumpSize ()
void | CxxTest::setMaxDumpSize (unsigned value)
void | CxxTest::doTrace (const char *file, unsigned line, const char *message)
void | CxxTest::doWarn (const char *file, unsigned line, const char *message)
void | CxxTest::doFailTest (const char *file, unsigned line, const char *message)
void | CxxTest::doFailAssert (const char *file, unsigned line, const char *expression, const char *message)
template<class X, class Y>
bool | CxxTest::equals (X x, Y y)
template<class X, class Y>
void | CxxTest::doAssertEquals (const char *file, unsigned line, const char *xExpr, X x, const char *yExpr, Y y, const char *message)
void | CxxTest::doAssertSameData (const char *file, unsigned line, const char *xExpr, const void *x, const char *yExpr, const void *y, const char *sizeExpr, unsigned size, const char *message)
template<class X, class Y>
bool | CxxTest::differs (X x, Y y)
template<class X, class Y>
void | CxxTest::doAssertDiffers (const char *file, unsigned line, const char *xExpr, X x, const char *yExpr, Y y, const char *message)
template<class X, class Y>
bool | CxxTest::lessThan (X x, Y y)
template<class X, class Y>
void | CxxTest::doAssertLessThan (const char *file, unsigned line, const char *xExpr, X x, const char *yExpr, Y y, const char *message)
template<class X, class Y>
bool | CxxTest::lessThanEquals (X x, Y y)
template<class X, class Y>
void | CxxTest::doAssertLessThanEquals (const char *file, unsigned line, const char *xExpr, X x, const char *yExpr, Y y, const char *message)
template<class X, class P>
void | CxxTest::doAssertPredicate (const char *file, unsigned line, const char *pExpr, const P &p, const char *xExpr, X x, const char *message)
template<class X, class Y, class R>
void | CxxTest::doAssertRelation (const char *file, unsigned line, const char *rExpr, const R &r, const char *xExpr, X x, const char *yExpr, Y y, const char *message)
template<class X, class Y, class D>
bool | CxxTest::delta (X x, Y y, D d)
template<class X, class Y, class D>
void | CxxTest::doAssertDelta (const char *file, unsigned line, const char *xExpr, X x, const char *yExpr, Y y, const char *dExpr, D d, const char *message)
void | CxxTest::doFailAssertThrows (const char *file, unsigned line, const char *expr, const char *type, bool otherThrown, const char *message)
void | CxxTest::doFailAssertThrowsNot (const char *file, unsigned line, const char *expression, const char *message)
| CxxTest::CXXTEST_INTEGRAL (char) CXXTEST_INTEGRAL(short) CXXTEST_INTEGRAL(int) CXXTEST_INTEGRAL(long) CXXTEST_SMALL_BIG(char
short | CxxTest::CXXTEST_SMALL_BIG (char, int) CXXTEST_SMALL_BIG(short
short int | CxxTest::CXXTEST_SMALL_BIG (char, long) CXXTEST_SMALL_BIG(short

## Data Structure Documentation

## CxxTest::AbortTest

class CxxTest::AbortTest

Definition at line 29 of file TestSuite.h.

## Macro Definition Documentation

## ___ETS_ASSERT

#define ___ETS_ASSERT | ( |  | f,
|  |  | l,
|  |  | e,
|  |  | m )

Value:
{ if ( !(e) ) CxxTest::doFailAssert( (f), (l), #e, (m) ); }
l
int l
Definition cfEzgcd.cc:100
m
int m
Definition cfEzgcd.cc:128
f
FILE * f
Definition checklibs.c:9
CxxTest::doFailAssert
void doFailAssert(const char *file, unsigned line, const char *expression, const char *message)
Definition TestSuite.cpp:72

Definition at line 232 of file TestSuite.h.

## ___ETS_ASSERT_DELTA

#define ___ETS_ASSERT_DELTA | ( |  | f,
|  |  | l,
|  |  | x,
|  |  | y,
|  |  | d,
|  |  | m )

Value:
CxxTest::doAssertDelta( (f), (l), #x, (x), #y, (y), #d, (d), (m) )
x
Variable x
Definition cfModGcd.cc:4090
y
const CanonicalForm int const CFList const Variable & y
Definition facAbsFact.cc:53
CxxTest::doAssertDelta
void doAssertDelta(const char *file, unsigned line, const char *xExpr, X x, const char *yExpr, Y y, const char *dExpr, D d, const char *message)
Definition TestSuite.h:166

Definition at line 366 of file TestSuite.h.

## ___ETS_ASSERT_DIFFERS

#define ___ETS_ASSERT_DIFFERS | ( |  | f,
|  |  | l,
|  |  | x,
|  |  | y,
|  |  | m )

Value:
CxxTest::doAssertDiffers( (f), (l), #x, (x), #y, (y), (m) )
CxxTest::doAssertDiffers
void doAssertDiffers(const char *file, unsigned line, const char *xExpr, X x, const char *yExpr, Y y, const char *message)
Definition TestSuite.h:77

Definition at line 280 of file TestSuite.h.

## ___ETS_ASSERT_EQUALS

#define ___ETS_ASSERT_EQUALS | ( |  | f,
|  |  | l,
|  |  | x,
|  |  | y,
|  |  | m )

Value:
CxxTest::doAssertEquals( (f), (l), #x, (x), #y, (y), (m) )
CxxTest::doAssertEquals
void doAssertEquals(const char *file, unsigned line, const char *xExpr, X x, const char *yExpr, Y y, const char *message)
Definition TestSuite.h:51

Definition at line 248 of file TestSuite.h.

## ___ETS_ASSERT_LESS_THAN

#define ___ETS_ASSERT_LESS_THAN | ( |  | f,
|  |  | l,
|  |  | x,
|  |  | y,
|  |  | m )

Value:
CxxTest::doAssertLessThan( (f), (l), #x, (x), #y, (y), (m) )
CxxTest::doAssertLessThan
void doAssertLessThan(const char *file, unsigned line, const char *xExpr, X x, const char *yExpr, Y y, const char *message)
Definition TestSuite.h:97

Definition at line 296 of file TestSuite.h.

## ___ETS_ASSERT_LESS_THAN_EQUALS

#define ___ETS_ASSERT_LESS_THAN_EQUALS | ( |  | f,
|  |  | l,
|  |  | x,
|  |  | y,
|  |  | m )

Value:
CxxTest::doAssertLessThanEquals( (f), (l), #x, (x), #y, (y), (m) )
CxxTest::doAssertLessThanEquals
void doAssertLessThanEquals(const char *file, unsigned line, const char *xExpr, X x, const char *yExpr, Y y, const char *message)
Definition TestSuite.h:117

Definition at line 312 of file TestSuite.h.

# define ___ETS_ASSERT_LESS_THAN_EQUALS(f,l,x,y,m) \
CxxTest::doAssertLessThanEquals( (f), (l), #x, (x), #y, (y), (m) )

## ___ETS_ASSERT_PREDICATE

#define ___ETS_ASSERT_PREDICATE | ( |  | f,
|  |  | l,
|  |  | p,
|  |  | x,
|  |  | m )

Value:
CxxTest::doAssertPredicate( (f), (l), #p, p, #x, (x), (m) )
p
int p
Definition cfModGcd.cc:4086
CxxTest::doAssertPredicate
void doAssertPredicate(const char *file, unsigned line, const char *pExpr, const P &p, const char *xExpr, X x, const char *message)
Definition TestSuite.h:131

Definition at line 330 of file TestSuite.h.

# define ___ETS_ASSERT_PREDICATE(f,l,p,x,m) \
CxxTest::doAssertPredicate( (f), (l), #p, p, #x, (x), (m) )

## ___ETS_ASSERT_RELATION

#define ___ETS_ASSERT_RELATION | ( |  | f,
|  |  | l,
|  |  | r,
|  |  | x,
|  |  | y,
|  |  | m )

Value:
CxxTest::doAssertRelation( (f), (l), #r, r(), #x, (x), #y, (y), (m) )
CxxTest::doAssertRelation
void doAssertRelation(const char *file, unsigned line, const char *rExpr, const R &r, const char *xExpr, X x, const char *yExpr, Y y, const char *message)
Definition TestSuite.h:145

Definition at line 348 of file TestSuite.h.

# define ___ETS_ASSERT_RELATION(f,l,r,x,y,m) \
CxxTest::doAssertRelation( (f), (l), #r, r(), #x, (x), #y, (y), (m) )

## ___ETS_ASSERT_SAME_DATA

#define ___ETS_ASSERT_SAME_DATA | ( |  | f,
|  |  | l,
|  |  | x,
|  |  | y,
|  |  | s,
|  |  | m )

Value:
CxxTest::doAssertSameData( (f), (l), #x, (x), #y, (y), #s, (s), (m) )
s
const CanonicalForm int s
Definition facAbsFact.cc:51
CxxTest::doAssertSameData
void doAssertSameData(const char *file, unsigned line, const char *xExpr, const void *x, const char *yExpr, const void *y, const char *sizeExpr, unsigned size, const char *message)
Definition TestSuite.cpp:101

Definition at line 264 of file TestSuite.h.

## ___TS_ASSERT

#define ___TS_ASSERT | ( |  | f,
|  |  | l,
|  |  | e,
|  |  | m )

Value:
{ _TS_TRY { ___ETS_ASSERT(f,l,e,m); } __TS_CATCH(f,l) }
_TS_TRY
#define _TS_TRY
Definition TestSuite.h:209
__TS_CATCH
#define __TS_CATCH(f, l)
Definition TestSuite.h:212
___ETS_ASSERT
#define ___ETS_ASSERT(f, l, e, m)
Definition TestSuite.h:232

Definition at line 233 of file TestSuite.h.

## ___TS_ASSERT_DELTA

#define ___TS_ASSERT_DELTA | ( |  | f,
|  |  | l,
|  |  | x,
|  |  | y,
|  |  | d,
|  |  | m )

Value:
{ _TS_TRY { ___ETS_ASSERT_DELTA(f,l,x,y,d,m); } __TS_CATCH(f,l) }
___ETS_ASSERT_DELTA
#define ___ETS_ASSERT_DELTA(f, l, x, y, d, m)
Definition TestSuite.h:366

Definition at line 367 of file TestSuite.h.

## ___TS_ASSERT_DIFFERS

#define ___TS_ASSERT_DIFFERS | ( |  | f,
|  |  | l,
|  |  | x,
|  |  | y,
|  |  | m )

Value:
{ _TS_TRY { ___ETS_ASSERT_DIFFERS(f,l,x,y,m); } __TS_CATCH(f,l) }
___ETS_ASSERT_DIFFERS
#define ___ETS_ASSERT_DIFFERS(f, l, x, y, m)
Definition TestSuite.h:280

Definition at line 281 of file TestSuite.h.

## ___TS_ASSERT_EQUALS

#define ___TS_ASSERT_EQUALS | ( |  | f,
|  |  | l,
|  |  | x,
|  |  | y,
|  |  | m )

Value:
{ _TS_TRY { ___ETS_ASSERT_EQUALS(f,l,x,y,m); } __TS_CATCH(f,l) }
___ETS_ASSERT_EQUALS
#define ___ETS_ASSERT_EQUALS(f, l, x, y, m)
Definition TestSuite.h:248

Definition at line 249 of file TestSuite.h.

## ___TS_ASSERT_LESS_THAN

#define ___TS_ASSERT_LESS_THAN | ( |  | f,
|  |  | l,
|  |  | x,
|  |  | y,
|  |  | m )

Value:
{ _TS_TRY { ___ETS_ASSERT_LESS_THAN(f,l,x,y,m); } __TS_CATCH(f,l) }
___ETS_ASSERT_LESS_THAN
#define ___ETS_ASSERT_LESS_THAN(f, l, x, y, m)
Definition TestSuite.h:296

Definition at line 297 of file TestSuite.h.

## ___TS_ASSERT_LESS_THAN_EQUALS

#define ___TS_ASSERT_LESS_THAN_EQUALS | ( |  | f,
|  |  | l,
|  |  | x,
|  |  | y,
|  |  | m )

Value:
{ _TS_TRY { ___ETS_ASSERT_LESS_THAN_EQUALS(f,l,x,y,m); } __TS_CATCH(f,l) }
___ETS_ASSERT_LESS_THAN_EQUALS
#define ___ETS_ASSERT_LESS_THAN_EQUALS(f, l, x, y, m)
Definition TestSuite.h:312

Definition at line 314 of file TestSuite.h.

# define ___TS_ASSERT_LESS_THAN_EQUALS(f,l,x,y,m) \
{ _TS_TRY { ___ETS_ASSERT_LESS_THAN_EQUALS(f,l,x,y,m); } __TS_CATCH(f,l) }

## ___TS_ASSERT_PREDICATE

#define ___TS_ASSERT_PREDICATE | ( |  | f,
|  |  | l,
|  |  | p,
|  |  | x,
|  |  | m )

Value:
{ _TS_TRY { ___ETS_ASSERT_PREDICATE(f,l,p,x,m); } __TS_CATCH(f,l) }
___ETS_ASSERT_PREDICATE
#define ___ETS_ASSERT_PREDICATE(f, l, p, x, m)
Definition TestSuite.h:330

Definition at line 332 of file TestSuite.h.

# define ___TS_ASSERT_PREDICATE(f,l,p,x,m) \
{ _TS_TRY { ___ETS_ASSERT_PREDICATE(f,l,p,x,m); } __TS_CATCH(f,l) }

## ___TS_ASSERT_RELATION

#define ___TS_ASSERT_RELATION | ( |  | f,
|  |  | l,
|  |  | r,
|  |  | x,
|  |  | y,
|  |  | m )

Value:
{ _TS_TRY { ___ETS_ASSERT_RELATION(f,l,r,x,y,m); } __TS_CATCH(f,l) }
___ETS_ASSERT_RELATION
#define ___ETS_ASSERT_RELATION(f, l, r, x, y, m)
Definition TestSuite.h:348

Definition at line 350 of file TestSuite.h.

# define ___TS_ASSERT_RELATION(f,l,r,x,y,m) \
{ _TS_TRY { ___ETS_ASSERT_RELATION(f,l,r,x,y,m); } __TS_CATCH(f,l) }

## ___TS_ASSERT_SAME_DATA

#define ___TS_ASSERT_SAME_DATA | ( |  | f,
|  |  | l,
|  |  | x,
|  |  | y,
|  |  | s,
|  |  | m )

Value:
{ _TS_TRY { ___ETS_ASSERT_SAME_DATA(f,l,x,y,s,m); } __TS_CATCH(f,l) }
___ETS_ASSERT_SAME_DATA
#define ___ETS_ASSERT_SAME_DATA(f, l, x, y, s, m)
Definition TestSuite.h:264

Definition at line 265 of file TestSuite.h.

## ___TS_ASSERT_THROWS

#define ___TS_ASSERT_THROWS | ( |  | f,
|  |  | l,
|  |  | e,
|  |  | t,
|  |  | m )

Value:
{ \
bool _ts_threw_expected = false, _ts_threw_else = false; \
_TS_TRY { e; } \
_TS_CATCH_TYPE( (t), { _ts_threw_expected = true; } ) \
_TS_CATCH_ABORT( { throw; } ) \
_TS_LAST_CATCH( { _ts_threw_else = true; } ) \
if ( !_ts_threw_expected ) { CxxTest::doFailAssertThrows( (f), (l), #e, #t, _ts_threw_else, (m) ); } }
_TS_LAST_CATCH
#define _TS_LAST_CATCH(b)
Definition TestSuite.h:215
_TS_CATCH_ABORT
#define _TS_CATCH_ABORT(b)
Definition TestSuite.h:216
CxxTest::doFailAssertThrows
void doFailAssertThrows(const char *file, unsigned line, const char *expr, const char *type, bool otherThrown, const char *message)
Definition TestSuite.cpp:115

Definition at line 382 of file TestSuite.h.

# define ___TS_ASSERT_THROWS(f,l,e,t,m) { \
bool _ts_threw_expected = false, _ts_threw_else = false; \
_TS_TRY { e; } \
_TS_CATCH_TYPE( (t), { _ts_threw_expected = true; } ) \
_TS_CATCH_ABORT( { throw; } ) \
_TS_LAST_CATCH( { _ts_threw_else = true; } ) \
if ( !_ts_threw_expected ) { CxxTest::doFailAssertThrows( (f), (l), #e, #t, _ts_threw_else, (m) ); } }

## ___TS_ASSERT_THROWS_ANYTHING

#define ___TS_ASSERT_THROWS_ANYTHING | ( |  | f,
|  |  | l,
|  |  | e,
|  |  | m )

Value:
{ \
bool _ts_threw = false; \
_TS_TRY { e; } \
_TS_LAST_CATCH( { _ts_threw = true; } ) \
if ( !_ts_threw ) { CxxTest::doFailAssertThrows( (f), (l), #e, "...", false, (m) ); } }

Definition at line 444 of file TestSuite.h.

# define ___TS_ASSERT_THROWS_ANYTHING(f,l,e,m) { \
bool _ts_threw = false; \
_TS_TRY { e; } \
_TS_LAST_CATCH( { _ts_threw = true; } ) \
if ( !_ts_threw ) { CxxTest::doFailAssertThrows( (f), (l), #e, "...", false, (m) ); } }

## ___TS_ASSERT_THROWS_ASSERT

#define ___TS_ASSERT_THROWS_ASSERT | ( |  | f,
|  |  | l,
|  |  | e,
|  |  | t,
|  |  | a,
|  |  | m )

Value:
{ \
bool _ts_threw_expected = false, _ts_threw_else = false; \
_TS_TRY { e; } \
_TS_CATCH_TYPE( (t), { a; _ts_threw_expected = true; } ) \
_TS_CATCH_ABORT( { throw; } ) \
_TS_LAST_CATCH( { _ts_threw_else = true; } ) \
if ( !_ts_threw_expected ) { CxxTest::doFailAssertThrows( (f), (l), #e, #t, _ts_threw_else, (m) ); } }

Definition at line 397 of file TestSuite.h.

# define ___TS_ASSERT_THROWS_ASSERT(f,l,e,t,a,m) { \
bool _ts_threw_expected = false, _ts_threw_else = false; \
_TS_TRY { e; } \
_TS_CATCH_TYPE( (t), { a; _ts_threw_expected = true; } ) \
_TS_CATCH_ABORT( { throw; } ) \
_TS_LAST_CATCH( { _ts_threw_else = true; } ) \
if ( !_ts_threw_expected ) { CxxTest::doFailAssertThrows( (f), (l), #e, #t, _ts_threw_else, (m) ); } }

## ___TS_ASSERT_THROWS_NOTHING

#define ___TS_ASSERT_THROWS_NOTHING | ( |  | f,
|  |  | l,
|  |  | e,
|  |  | m )

Value:
{ \
_TS_TRY { e; } \
_TS_CATCH_ABORT( { throw; } ) \
_TS_LAST_CATCH( { CxxTest::doFailAssertThrowsNot( (f), (l), #e, (m) ); } ) }
CxxTest::doFailAssertThrowsNot
void doFailAssertThrowsNot(const char *file, unsigned line, const char *expression, const char *message)
Definition TestSuite.cpp:127

Definition at line 457 of file TestSuite.h.

# define ___TS_ASSERT_THROWS_NOTHING(f,l,e,m) { \
_TS_TRY { e; } \
_TS_CATCH_ABORT( { throw; } ) \
_TS_LAST_CATCH( { CxxTest::doFailAssertThrowsNot( (f), (l), #e, (m) ); } ) }

## ___TSM_CATCH

#define ___TSM_CATCH | ( |  | f,
|  |  | l,
|  |  | m )

Definition at line 210 of file TestSuite.h.

## __TS_CATCH

#define __TS_CATCH | ( |  | f,
|  |  | l )

Definition at line 212 of file TestSuite.h.

## __TSM_CATCH

#define __TSM_CATCH | ( |  | f,
|  |  | l,
|  |  | m )

Definition at line 211 of file TestSuite.h.

## _ETS_ASSERT

#define _ETS_ASSERT | ( |  | f,
|  |  | l,
|  |  | e )

Value:
___ETS_ASSERT(f,l,e,0)

Definition at line 235 of file TestSuite.h.

## _ETS_ASSERT_DELTA

#define _ETS_ASSERT_DELTA | ( |  | f,
|  |  | l,
|  |  | x,
|  |  | y,
|  |  | d )

Value:
___ETS_ASSERT_DELTA(f,l,x,y,d,0)

Definition at line 369 of file TestSuite.h.

## _ETS_ASSERT_DIFFERS

#define _ETS_ASSERT_DIFFERS | ( |  | f,
|  |  | l,
|  |  | x,
|  |  | y )

Value:
___ETS_ASSERT_DIFFERS(f,l,x,y,0)

Definition at line 283 of file TestSuite.h.

## _ETS_ASSERT_EQUALS

#define _ETS_ASSERT_EQUALS | ( |  | f,
|  |  | l,
|  |  | x,
|  |  | y )

Value:
___ETS_ASSERT_EQUALS(f,l,x,y,0)

Definition at line 251 of file TestSuite.h.

## _ETS_ASSERT_LESS_THAN

#define _ETS_ASSERT_LESS_THAN | ( |  | f,
|  |  | l,
|  |  | x,
|  |  | y )

Value:
___ETS_ASSERT_LESS_THAN(f,l,x,y,0)

Definition at line 299 of file TestSuite.h.

## _ETS_ASSERT_LESS_THAN_EQUALS

#define _ETS_ASSERT_LESS_THAN_EQUALS | ( |  | f,
|  |  | l,
|  |  | x,
|  |  | y )

Value:
___ETS_ASSERT_LESS_THAN_EQUALS(f,l,x,y,0)

Definition at line 317 of file TestSuite.h.

## _ETS_ASSERT_PREDICATE

#define _ETS_ASSERT_PREDICATE | ( |  | f,
|  |  | l,
|  |  | p,
|  |  | x )

Value:
___ETS_ASSERT_PREDICATE(f,l,p,x,0)

Definition at line 335 of file TestSuite.h.

## _ETS_ASSERT_RELATION

#define _ETS_ASSERT_RELATION | ( |  | f,
|  |  | l,
|  |  | r,
|  |  | x,
|  |  | y )

Value:
___ETS_ASSERT_RELATION(f,l,r,x,y,0)

Definition at line 353 of file TestSuite.h.

## _ETS_ASSERT_SAME_DATA

#define _ETS_ASSERT_SAME_DATA | ( |  | f,
|  |  | l,
|  |  | x,
|  |  | y,
|  |  | s )

Value:
___ETS_ASSERT_SAME_DATA(f,l,x,y,s,0)

Definition at line 267 of file TestSuite.h.

## _ETSM_ASSERT

#define _ETSM_ASSERT | ( |  | f,
|  |  | l,
|  |  | m,
|  |  | e )

Value:
___ETS_ASSERT(f,l,e,TS_AS_STRING(m) )
TS_AS_STRING
#define TS_AS_STRING(x)
Definition ValueTraits.h:26

Definition at line 241 of file TestSuite.h.

## _ETSM_ASSERT_DELTA

#define _ETSM_ASSERT_DELTA | ( |  | f,
|  |  | l,
|  |  | m,
|  |  | x,
|  |  | y,
|  |  | d )

Value:
___ETS_ASSERT_DELTA(f,l,x,y,d,TS_AS_STRING(m))

Definition at line 375 of file TestSuite.h.

## _ETSM_ASSERT_DIFFERS

#define _ETSM_ASSERT_DIFFERS | ( |  | f,
|  |  | l,
|  |  | m,
|  |  | x,
|  |  | y )

Value:
___ETS_ASSERT_DIFFERS(f,l,x,y,TS_AS_STRING(m))

Definition at line 289 of file TestSuite.h.

## _ETSM_ASSERT_EQUALS

#define _ETSM_ASSERT_EQUALS | ( |  | f,
|  |  | l,
|  |  | m,
|  |  | x,
|  |  | y )

Value:
___ETS_ASSERT_EQUALS(f,l,x,y,TS_AS_STRING(m))

Definition at line 257 of file TestSuite.h.

## _ETSM_ASSERT_LESS_THAN

#define _ETSM_ASSERT_LESS_THAN | ( |  | f,
|  |  | l,
|  |  | m,
|  |  | x,
|  |  | y )

Value:
___ETS_ASSERT_LESS_THAN(f,l,x,y,TS_AS_STRING(m))

Definition at line 305 of file TestSuite.h.

## _ETSM_ASSERT_LESS_THAN_EQUALS

#define _ETSM_ASSERT_LESS_THAN_EQUALS | ( |  | f,
|  |  | l,
|  |  | m,
|  |  | x,
|  |  | y )

Value:
___ETS_ASSERT_LESS_THAN_EQUALS(f,l,x,y,TS_AS_STRING(m))

Definition at line 323 of file TestSuite.h.

## _ETSM_ASSERT_PREDICATE

#define _ETSM_ASSERT_PREDICATE | ( |  | f,
|  |  | l,
|  |  | m,
|  |  | p,
|  |  | x )

Value:
___ETS_ASSERT_PREDICATE(f,l,p,x,TS_AS_STRING(m))

Definition at line 341 of file TestSuite.h.

## _ETSM_ASSERT_RELATION

#define _ETSM_ASSERT_RELATION | ( |  | f,
|  |  | l,
|  |  | m,
|  |  | r,
|  |  | x,
|  |  | y )

Value:
___ETS_ASSERT_RELATION(f,l,r,x,y,TS_AS_STRING(m))

Definition at line 359 of file TestSuite.h.

## _ETSM_ASSERT_SAME_DATA

#define _ETSM_ASSERT_SAME_DATA | ( |  | f,
|  |  | l,
|  |  | m,
|  |  | x,
|  |  | y,
|  |  | s )

Value:
___ETS_ASSERT_SAME_DATA(f,l,x,y,s,TS_AS_STRING(m))

Definition at line 273 of file TestSuite.h.

## _TS_ASSERT

#define _TS_ASSERT | ( |  | f,
|  |  | l,
|  |  | e )

Value:
___TS_ASSERT(f,l,e,0)
___TS_ASSERT
#define ___TS_ASSERT(f, l, e, m)
Definition TestSuite.h:233

Definition at line 236 of file TestSuite.h.

## _TS_ASSERT_DELTA

#define _TS_ASSERT_DELTA | ( |  | f,
|  |  | l,
|  |  | x,
|  |  | y,
|  |  | d )

Value:
___TS_ASSERT_DELTA(f,l,x,y,d,0)
___TS_ASSERT_DELTA
#define ___TS_ASSERT_DELTA(f, l, x, y, d, m)
Definition TestSuite.h:367

Definition at line 370 of file TestSuite.h.

## _TS_ASSERT_DIFFERS

#define _TS_ASSERT_DIFFERS | ( |  | f,
|  |  | l,
|  |  | x,
|  |  | y )

Value:
___TS_ASSERT_DIFFERS(f,l,x,y,0)
___TS_ASSERT_DIFFERS
#define ___TS_ASSERT_DIFFERS(f, l, x, y, m)
Definition TestSuite.h:281

Definition at line 284 of file TestSuite.h.

## _TS_ASSERT_EQUALS

#define _TS_ASSERT_EQUALS | ( |  | f,
|  |  | l,
|  |  | x,
|  |  | y )

Value:
___TS_ASSERT_EQUALS(f,l,x,y,0)
___TS_ASSERT_EQUALS
#define ___TS_ASSERT_EQUALS(f, l, x, y, m)
Definition TestSuite.h:249

Definition at line 252 of file TestSuite.h.

## _TS_ASSERT_LESS_THAN

#define _TS_ASSERT_LESS_THAN | ( |  | f,
|  |  | l,
|  |  | x,
|  |  | y )

Value:
___TS_ASSERT_LESS_THAN(f,l,x,y,0)
___TS_ASSERT_LESS_THAN
#define ___TS_ASSERT_LESS_THAN(f, l, x, y, m)
Definition TestSuite.h:297

Definition at line 300 of file TestSuite.h.

## _TS_ASSERT_LESS_THAN_EQUALS

#define _TS_ASSERT_LESS_THAN_EQUALS | ( |  | f,
|  |  | l,
|  |  | x,
|  |  | y )

Value:
___TS_ASSERT_LESS_THAN_EQUALS(f,l,x,y,0)
___TS_ASSERT_LESS_THAN_EQUALS
#define ___TS_ASSERT_LESS_THAN_EQUALS(f, l, x, y, m)
Definition TestSuite.h:314

Definition at line 318 of file TestSuite.h.

## _TS_ASSERT_PREDICATE

#define _TS_ASSERT_PREDICATE | ( |  | f,
|  |  | l,
|  |  | p,
|  |  | x )

Value:
___TS_ASSERT_PREDICATE(f,l,p,x,0)
___TS_ASSERT_PREDICATE
#define ___TS_ASSERT_PREDICATE(f, l, p, x, m)
Definition TestSuite.h:332

Definition at line 336 of file TestSuite.h.

## _TS_ASSERT_RELATION

#define _TS_ASSERT_RELATION | ( |  | f,
|  |  | l,
|  |  | r,
|  |  | x,
|  |  | y )

Value:
___TS_ASSERT_RELATION(f,l,r,x,y,0)
___TS_ASSERT_RELATION
#define ___TS_ASSERT_RELATION(f, l, r, x, y, m)
Definition TestSuite.h:350

Definition at line 354 of file TestSuite.h.

## _TS_ASSERT_SAME_DATA

#define _TS_ASSERT_SAME_DATA | ( |  | f,
|  |  | l,
|  |  | x,
|  |  | y,
|  |  | s )

Value:
___TS_ASSERT_SAME_DATA(f,l,x,y,s,0)
___TS_ASSERT_SAME_DATA
#define ___TS_ASSERT_SAME_DATA(f, l, x, y, s, m)
Definition TestSuite.h:265

Definition at line 268 of file TestSuite.h.

## _TS_ASSERT_THROWS

#define _TS_ASSERT_THROWS | ( |  | f,
|  |  | l,
|  |  | e,
|  |  | t )

Value:
___TS_ASSERT_THROWS(f,l,e,t,0)
___TS_ASSERT_THROWS
#define ___TS_ASSERT_THROWS(f, l, e, t, m)
Definition TestSuite.h:382

Definition at line 390 of file TestSuite.h.

## _TS_ASSERT_THROWS_ANYTHING

#define _TS_ASSERT_THROWS_ANYTHING | ( |  | f,
|  |  | l,
|  |  | e )

Value:
___TS_ASSERT_THROWS_ANYTHING(f,l,e,0)
___TS_ASSERT_THROWS_ANYTHING
#define ___TS_ASSERT_THROWS_ANYTHING(f, l, e, m)
Definition TestSuite.h:444

Definition at line 450 of file TestSuite.h.

## _TS_ASSERT_THROWS_ASSERT

#define _TS_ASSERT_THROWS_ASSERT | ( |  | f,
|  |  | l,
|  |  | e,
|  |  | t,
|  |  | a )

Value:
___TS_ASSERT_THROWS_ASSERT(f,l,e,t,a,0)
___TS_ASSERT_THROWS_ASSERT
#define ___TS_ASSERT_THROWS_ASSERT(f, l, e, t, a, m)
Definition TestSuite.h:397

Definition at line 405 of file TestSuite.h.

## _TS_ASSERT_THROWS_NOTHING

#define _TS_ASSERT_THROWS_NOTHING | ( |  | f,
|  |  | l,
|  |  | e )

Value:
___TS_ASSERT_THROWS_NOTHING(f,l,e,0)
___TS_ASSERT_THROWS_NOTHING
#define ___TS_ASSERT_THROWS_NOTHING(f, l, e, m)
Definition TestSuite.h:457

Definition at line 462 of file TestSuite.h.

## _TS_CATCH

#define _TS_CATCH

Definition at line 213 of file TestSuite.h.

## _TS_CATCH_ABORT

#define _TS_CATCH_ABORT | ( |  | b | ) |

Definition at line 216 of file TestSuite.h.

## _TS_CATCH_TYPE

#define _TS_CATCH_TYPE | ( |  | t,
|  |  | b )

Definition at line 214 of file TestSuite.h.

## _TS_FAIL

#define _TS_FAIL | ( |  | f,
|  |  | l,
|  |  | e )

Value:
CxxTest::doFailTest( (f), (l), TS_AS_STRING(e) )
CxxTest::doFailTest
void doFailTest(const char *file, unsigned line, const char *message)
Definition TestSuite.cpp:66

Definition at line 228 of file TestSuite.h.

## _TS_LAST_CATCH

#define _TS_LAST_CATCH | ( |  | b | ) |

Definition at line 215 of file TestSuite.h.

## _TS_TRACE

#define _TS_TRACE | ( |  | f,
|  |  | l,
|  |  | e )

Value:
CxxTest::doTrace( (f), (l), TS_AS_STRING(e) )
CxxTest::doTrace
void doTrace(const char *file, unsigned line, const char *message)
Definition TestSuite.cpp:56

Definition at line 220 of file TestSuite.h.

## _TS_TRY

#define _TS_TRY

Definition at line 209 of file TestSuite.h.

## _TS_WARN

#define _TS_WARN | ( |  | f,
|  |  | l,
|  |  | e )

Value:
CxxTest::doWarn( (f), (l), TS_AS_STRING(e) )
CxxTest::doWarn
void doWarn(const char *file, unsigned line, const char *message)
Definition TestSuite.cpp:61

Definition at line 224 of file TestSuite.h.

## _TSM_ASSERT

#define _TSM_ASSERT | ( |  | f,
|  |  | l,
|  |  | m,
|  |  | e )

Value:
___TS_ASSERT(f,l,e,TS_AS_STRING(m) )

Definition at line 242 of file TestSuite.h.

## _TSM_ASSERT_DELTA

#define _TSM_ASSERT_DELTA | ( |  | f,
|  |  | l,
|  |  | m,
|  |  | x,
|  |  | y,
|  |  | d )

Value:
___TS_ASSERT_DELTA(f,l,x,y,d,TS_AS_STRING(m))

Definition at line 376 of file TestSuite.h.

## _TSM_ASSERT_DIFFERS

#define _TSM_ASSERT_DIFFERS | ( |  | f,
|  |  | l,
|  |  | m,
|  |  | x,
|  |  | y )

Value:
___TS_ASSERT_DIFFERS(f,l,x,y,TS_AS_STRING(m))

Definition at line 290 of file TestSuite.h.

## _TSM_ASSERT_EQUALS

#define _TSM_ASSERT_EQUALS | ( |  | f,
|  |  | l,
|  |  | m,
|  |  | x,
|  |  | y )

Value:
___TS_ASSERT_EQUALS(f,l,x,y,TS_AS_STRING(m))

Definition at line 258 of file TestSuite.h.

## _TSM_ASSERT_LESS_THAN

#define _TSM_ASSERT_LESS_THAN | ( |  | f,
|  |  | l,
|  |  | m,
|  |  | x,
|  |  | y )

Value:
___TS_ASSERT_LESS_THAN(f,l,x,y,TS_AS_STRING(m))

Definition at line 306 of file TestSuite.h.

## _TSM_ASSERT_LESS_THAN_EQUALS

#define _TSM_ASSERT_LESS_THAN_EQUALS | ( |  | f,
|  |  | l,
|  |  | m,
|  |  | x,
|  |  | y )

Value:
___TS_ASSERT_LESS_THAN_EQUALS(f,l,x,y,TS_AS_STRING(m))

Definition at line 324 of file TestSuite.h.

## _TSM_ASSERT_PREDICATE

#define _TSM_ASSERT_PREDICATE | ( |  | f,
|  |  | l,
|  |  | m,
|  |  | p,
|  |  | x )

Value:
___TS_ASSERT_PREDICATE(f,l,p,x,TS_AS_STRING(m))

Definition at line 342 of file TestSuite.h.

## _TSM_ASSERT_RELATION

#define _TSM_ASSERT_RELATION | ( |  | f,
|  |  | l,
|  |  | m,
|  |  | r,
|  |  | x,
|  |  | y )

Value:
___TS_ASSERT_RELATION(f,l,r,x,y,TS_AS_STRING(m))

Definition at line 360 of file TestSuite.h.

## _TSM_ASSERT_SAME_DATA

#define _TSM_ASSERT_SAME_DATA | ( |  | f,
|  |  | l,
|  |  | m,
|  |  | x,
|  |  | y,
|  |  | s )

Value:
___TS_ASSERT_SAME_DATA(f,l,x,y,s,TS_AS_STRING(m))

Definition at line 274 of file TestSuite.h.

## _TSM_ASSERT_THROWS

#define _TSM_ASSERT_THROWS | ( |  | f,
|  |  | l,
|  |  | m,
|  |  | e,
|  |  | t )

Value:
___TS_ASSERT_THROWS(f,l,e,t,TS_AS_STRING(m))

Definition at line 393 of file TestSuite.h.

## _TSM_ASSERT_THROWS_ANYTHING

#define _TSM_ASSERT_THROWS_ANYTHING | ( |  | f,
|  |  | l,
|  |  | m,
|  |  | e )

Value:
___TS_ASSERT_THROWS_ANYTHING(f,l,e,TS_AS_STRING(m))

Definition at line 453 of file TestSuite.h.

## _TSM_ASSERT_THROWS_ASSERT

#define _TSM_ASSERT_THROWS_ASSERT | ( |  | f,
|  |  | l,
|  |  | m,
|  |  | e,
|  |  | t,
|  |  | a )

Value:
___TS_ASSERT_THROWS_ASSERT(f,l,e,t,a,TS_AS_STRING(m))

Definition at line 408 of file TestSuite.h.

## _TSM_ASSERT_THROWS_NOTHING

#define _TSM_ASSERT_THROWS_NOTHING | ( |  | f,
|  |  | l,
|  |  | m,
|  |  | e )

Value:
___TS_ASSERT_THROWS_NOTHING(f,l,e,TS_AS_STRING(m))

Definition at line 465 of file TestSuite.h.

## CXXTEST_COMPARISONS

#define CXXTEST_COMPARISONS | ( |  | CXXTEST_X,
|  |  | CXXTEST_Y,
|  |  | CXXTEST_T )

Value:
inline bool equals( CXXTEST_X x, CXXTEST_Y y ) { return (((CXXTEST_T)x) == ((CXXTEST_T)y)); } \
inline bool equals( CXXTEST_Y y, CXXTEST_X x ) { return (((CXXTEST_T)y) == ((CXXTEST_T)x)); } \
inline bool differs( CXXTEST_X x, CXXTEST_Y y ) { return (((CXXTEST_T)x) != ((CXXTEST_T)y)); } \
inline bool differs( CXXTEST_Y y, CXXTEST_X x ) { return (((CXXTEST_T)y) != ((CXXTEST_T)x)); } \
inline bool lessThan( CXXTEST_X x, CXXTEST_Y y ) { return (((CXXTEST_T)x) < ((CXXTEST_T)y)); } \
inline bool lessThan( CXXTEST_Y y, CXXTEST_X x ) { return (((CXXTEST_T)y) < ((CXXTEST_T)x)); } \
inline bool lessThanEquals( CXXTEST_X x, CXXTEST_Y y ) { return (((CXXTEST_T)x) <= ((CXXTEST_T)y)); } \
inline bool lessThanEquals( CXXTEST_Y y, CXXTEST_X x ) { return (((CXXTEST_T)y) <= ((CXXTEST_T)x)); }
CxxTest::lessThanEquals
bool lessThanEquals(X x, Y y)
Definition TestSuite.h:111
CxxTest::lessThan
bool lessThan(X x, Y y)
Definition TestSuite.h:91
CxxTest::differs
bool differs(X x, Y y)
Definition TestSuite.h:71

Definition at line 472 of file TestSuite.h.

# define CXXTEST_COMPARISONS(CXXTEST_X, CXXTEST_Y, CXXTEST_T) \
inline bool equals( CXXTEST_X x, CXXTEST_Y y ) { return (((CXXTEST_T)x) == ((CXXTEST_T)y)); } \
inline bool equals( CXXTEST_Y y, CXXTEST_X x ) { return (((CXXTEST_T)y) == ((CXXTEST_T)x)); } \
inline bool differs( CXXTEST_X x, CXXTEST_Y y ) { return (((CXXTEST_T)x) != ((CXXTEST_T)y)); } \
inline bool differs( CXXTEST_Y y, CXXTEST_X x ) { return (((CXXTEST_T)y) != ((CXXTEST_T)x)); } \
inline bool lessThan( CXXTEST_X x, CXXTEST_Y y ) { return (((CXXTEST_T)x) < ((CXXTEST_T)y)); } \
inline bool lessThan( CXXTEST_Y y, CXXTEST_X x ) { return (((CXXTEST_T)y) < ((CXXTEST_T)x)); } \
inline bool lessThanEquals( CXXTEST_X x, CXXTEST_Y y ) { return (((CXXTEST_T)x) <= ((CXXTEST_T)y)); } \
inline bool lessThanEquals( CXXTEST_Y y, CXXTEST_X x ) { return (((CXXTEST_T)y) <= ((CXXTEST_T)x)); }

## CXXTEST_INTEGRAL

#define CXXTEST_INTEGRAL | ( |  | CXXTEST_T | ) |

Value:
CXXTEST_COMPARISONS( signed CXXTEST_T, unsigned CXXTEST_T, unsigned CXXTEST_T )
CXXTEST_COMPARISONS
#define CXXTEST_COMPARISONS(CXXTEST_X, CXXTEST_Y, CXXTEST_T)
Definition TestSuite.h:472

Definition at line 482 of file TestSuite.h.

# define CXXTEST_INTEGRAL(CXXTEST_T) \
CXXTEST_COMPARISONS( signed CXXTEST_T, unsigned CXXTEST_T, unsigned CXXTEST_T )

## CXXTEST_SMALL_BIG

#define CXXTEST_SMALL_BIG | ( |  | CXXTEST_SMALL,
|  |  | CXXTEST_BIG )

Value:
CXXTEST_COMPARISONS( signed CXXTEST_SMALL, unsigned CXXTEST_BIG, unsigned CXXTEST_BIG ) \
CXXTEST_COMPARISONS( signed CXXTEST_BIG, unsigned CXXTEST_SMALL, unsigned CXXTEST_BIG )

## ETS_ASSERT

#define ETS_ASSERT | ( |  | e | ) |

Value:
_ETS_ASSERT(__FILE__,__LINE__,e)
_ETS_ASSERT
#define _ETS_ASSERT(f, l, e)
Definition TestSuite.h:235

Definition at line 238 of file TestSuite.h.

## ETS_ASSERT_DELTA

#define ETS_ASSERT_DELTA | ( |  | x,
|  |  | y,
|  |  | d )

Value:
_ETS_ASSERT_DELTA(__FILE__,__LINE__,x,y,d)
_ETS_ASSERT_DELTA
#define _ETS_ASSERT_DELTA(f, l, x, y, d)
Definition TestSuite.h:369

Definition at line 372 of file TestSuite.h.

## ETS_ASSERT_DIFFERS

#define ETS_ASSERT_DIFFERS | ( |  | x,
|  |  | y )

Value:
_ETS_ASSERT_DIFFERS(__FILE__,__LINE__,x,y)
_ETS_ASSERT_DIFFERS
#define _ETS_ASSERT_DIFFERS(f, l, x, y)
Definition TestSuite.h:283

Definition at line 286 of file TestSuite.h.

## ETS_ASSERT_EQUALS

#define ETS_ASSERT_EQUALS | ( |  | x,
|  |  | y )

Value:
_ETS_ASSERT_EQUALS(__FILE__,__LINE__,x,y)
_ETS_ASSERT_EQUALS
#define _ETS_ASSERT_EQUALS(f, l, x, y)
Definition TestSuite.h:251

Definition at line 254 of file TestSuite.h.

## ETS_ASSERT_LESS_THAN

#define ETS_ASSERT_LESS_THAN | ( |  | x,
|  |  | y )

Value:
_ETS_ASSERT_LESS_THAN(__FILE__,__LINE__,x,y)
_ETS_ASSERT_LESS_THAN
#define _ETS_ASSERT_LESS_THAN(f, l, x, y)
Definition TestSuite.h:299

Definition at line 302 of file TestSuite.h.

## ETS_ASSERT_LESS_THAN_EQUALS

#define ETS_ASSERT_LESS_THAN_EQUALS | ( |  | x,
|  |  | y )

Value:
_ETS_ASSERT_LESS_THAN_EQUALS(__FILE__,__LINE__,x,y)
_ETS_ASSERT_LESS_THAN_EQUALS
#define _ETS_ASSERT_LESS_THAN_EQUALS(f, l, x, y)
Definition TestSuite.h:317

Definition at line 320 of file TestSuite.h.

## ETS_ASSERT_PREDICATE

#define ETS_ASSERT_PREDICATE | ( |  | p,
|  |  | x )

Value:
_ETS_ASSERT_PREDICATE(__FILE__,__LINE__,p,x)
_ETS_ASSERT_PREDICATE
#define _ETS_ASSERT_PREDICATE(f, l, p, x)
Definition TestSuite.h:335

Definition at line 338 of file TestSuite.h.

## ETS_ASSERT_RELATION

#define ETS_ASSERT_RELATION | ( |  | r,
|  |  | x,
|  |  | y )

Value:
_ETS_ASSERT_RELATION(__FILE__,__LINE__,r,x,y)
_ETS_ASSERT_RELATION
#define _ETS_ASSERT_RELATION(f, l, r, x, y)
Definition TestSuite.h:353

Definition at line 356 of file TestSuite.h.

## ETS_ASSERT_SAME_DATA

#define ETS_ASSERT_SAME_DATA | ( |  | x,
|  |  | y,
|  |  | s )

Value:
_ETS_ASSERT_SAME_DATA(__FILE__,__LINE__,x,y,s)
_ETS_ASSERT_SAME_DATA
#define _ETS_ASSERT_SAME_DATA(f, l, x, y, s)
Definition TestSuite.h:267

Definition at line 270 of file TestSuite.h.

## ETSM_ASSERT

#define ETSM_ASSERT | ( |  | m,
|  |  | e )

Value:
_ETSM_ASSERT(__FILE__,__LINE__,m,e)
_ETSM_ASSERT
#define _ETSM_ASSERT(f, l, m, e)
Definition TestSuite.h:241

Definition at line 244 of file TestSuite.h.

## ETSM_ASSERT_DELTA

#define ETSM_ASSERT_DELTA | ( |  | m,
|  |  | x,
|  |  | y,
|  |  | d )

Value:
_ETSM_ASSERT_DELTA(__FILE__,__LINE__,m,x,y,d)
_ETSM_ASSERT_DELTA
#define _ETSM_ASSERT_DELTA(f, l, m, x, y, d)
Definition TestSuite.h:375

Definition at line 378 of file TestSuite.h.

## ETSM_ASSERT_DIFFERS

#define ETSM_ASSERT_DIFFERS | ( |  | m,
|  |  | x,
|  |  | y )

Value:
_ETSM_ASSERT_DIFFERS(__FILE__,__LINE__,m,x,y)
_ETSM_ASSERT_DIFFERS
#define _ETSM_ASSERT_DIFFERS(f, l, m, x, y)
Definition TestSuite.h:289

Definition at line 292 of file TestSuite.h.

## ETSM_ASSERT_EQUALS

#define ETSM_ASSERT_EQUALS | ( |  | m,
|  |  | x,
|  |  | y )

Value:
_ETSM_ASSERT_EQUALS(__FILE__,__LINE__,m,x,y)
_ETSM_ASSERT_EQUALS
#define _ETSM_ASSERT_EQUALS(f, l, m, x, y)
Definition TestSuite.h:257

Definition at line 260 of file TestSuite.h.

## ETSM_ASSERT_LESS_THAN

#define ETSM_ASSERT_LESS_THAN | ( |  | m,
|  |  | x,
|  |  | y )

Value:
_ETSM_ASSERT_LESS_THAN(__FILE__,__LINE__,m,x,y)
_ETSM_ASSERT_LESS_THAN
#define _ETSM_ASSERT_LESS_THAN(f, l, m, x, y)
Definition TestSuite.h:305

Definition at line 308 of file TestSuite.h.

## ETSM_ASSERT_LESS_THAN_EQUALS

#define ETSM_ASSERT_LESS_THAN_EQUALS | ( |  | m,
|  |  | x,
|  |  | y )

Value:
_ETSM_ASSERT_LESS_THAN_EQUALS(__FILE__,__LINE__,m,x,y)
_ETSM_ASSERT_LESS_THAN_EQUALS
#define _ETSM_ASSERT_LESS_THAN_EQUALS(f, l, m, x, y)
Definition TestSuite.h:323

Definition at line 326 of file TestSuite.h.

## ETSM_ASSERT_PREDICATE

#define ETSM_ASSERT_PREDICATE | ( |  | m,
|  |  | p,
|  |  | x )

Value:
_ETSM_ASSERT_PREDICATE(__FILE__,__LINE__,m,p,x)
_ETSM_ASSERT_PREDICATE
#define _ETSM_ASSERT_PREDICATE(f, l, m, p, x)
Definition TestSuite.h:341

Definition at line 344 of file TestSuite.h.

## ETSM_ASSERT_RELATION

#define ETSM_ASSERT_RELATION | ( |  | m,
|  |  | r,
|  |  | x,
|  |  | y )

Value:
_ETSM_ASSERT_RELATION(__FILE__,__LINE__,m,r,x,y)
_ETSM_ASSERT_RELATION
#define _ETSM_ASSERT_RELATION(f, l, m, r, x, y)
Definition TestSuite.h:359

Definition at line 362 of file TestSuite.h.

## ETSM_ASSERT_SAME_DATA

#define ETSM_ASSERT_SAME_DATA | ( |  | m,
|  |  | x,
|  |  | y,
|  |  | s )

Value:
_ETSM_ASSERT_SAME_DATA(__FILE__,__LINE__,m,x,y,s)
_ETSM_ASSERT_SAME_DATA
#define _ETSM_ASSERT_SAME_DATA(f, l, m, x, y, s)
Definition TestSuite.h:273

Definition at line 276 of file TestSuite.h.

## TS_ABORT

#define TS_ABORT | ( |  | ) |

Value:
CxxTest::doAbortTest()
CxxTest::doAbortTest
void doAbortTest()
Definition TestSuite.cpp:30

Definition at line 31 of file TestSuite.h.

## TS_ASSERT

#define TS_ASSERT | ( |  | e | ) |

Value:
_TS_ASSERT(__FILE__,__LINE__,e)
_TS_ASSERT
#define _TS_ASSERT(f, l, e)
Definition TestSuite.h:236

Definition at line 239 of file TestSuite.h.

## TS_ASSERT_DELTA

#define TS_ASSERT_DELTA | ( |  | x,
|  |  | y,
|  |  | d )

Value:
_TS_ASSERT_DELTA(__FILE__,__LINE__,x,y,d)
_TS_ASSERT_DELTA
#define _TS_ASSERT_DELTA(f, l, x, y, d)
Definition TestSuite.h:370

Definition at line 373 of file TestSuite.h.

## TS_ASSERT_DIFFERS

#define TS_ASSERT_DIFFERS | ( |  | x,
|  |  | y )

Value:
_TS_ASSERT_DIFFERS(__FILE__,__LINE__,x,y)
_TS_ASSERT_DIFFERS
#define _TS_ASSERT_DIFFERS(f, l, x, y)
Definition TestSuite.h:284

Definition at line 287 of file TestSuite.h.

## TS_ASSERT_EQUALS

#define TS_ASSERT_EQUALS | ( |  | x,
|  |  | y )

Value:
_TS_ASSERT_EQUALS(__FILE__,__LINE__,x,y)
_TS_ASSERT_EQUALS
#define _TS_ASSERT_EQUALS(f, l, x, y)
Definition TestSuite.h:252

Definition at line 255 of file TestSuite.h.

## TS_ASSERT_LESS_THAN

#define TS_ASSERT_LESS_THAN | ( |  | x,
|  |  | y )

Value:
_TS_ASSERT_LESS_THAN(__FILE__,__LINE__,x,y)
_TS_ASSERT_LESS_THAN
#define _TS_ASSERT_LESS_THAN(f, l, x, y)
Definition TestSuite.h:300

Definition at line 303 of file TestSuite.h.

## TS_ASSERT_LESS_THAN_EQUALS

#define TS_ASSERT_LESS_THAN_EQUALS | ( |  | x,
|  |  | y )

Value:
_TS_ASSERT_LESS_THAN_EQUALS(__FILE__,__LINE__,x,y)
_TS_ASSERT_LESS_THAN_EQUALS
#define _TS_ASSERT_LESS_THAN_EQUALS(f, l, x, y)
Definition TestSuite.h:318

Definition at line 321 of file TestSuite.h.

## TS_ASSERT_PREDICATE

#define TS_ASSERT_PREDICATE | ( |  | p,
|  |  | x )

Value:
_TS_ASSERT_PREDICATE(__FILE__,__LINE__,p,x)
_TS_ASSERT_PREDICATE
#define _TS_ASSERT_PREDICATE(f, l, p, x)
Definition TestSuite.h:336

Definition at line 339 of file TestSuite.h.

## TS_ASSERT_RELATION

#define TS_ASSERT_RELATION | ( |  | r,
|  |  | x,
|  |  | y )

Value:
_TS_ASSERT_RELATION(__FILE__,__LINE__,r,x,y)
_TS_ASSERT_RELATION
#define _TS_ASSERT_RELATION(f, l, r, x, y)
Definition TestSuite.h:354

Definition at line 357 of file TestSuite.h.

## TS_ASSERT_SAME_DATA

#define TS_ASSERT_SAME_DATA | ( |  | x,
|  |  | y,
|  |  | s )

Value:
_TS_ASSERT_SAME_DATA(__FILE__,__LINE__,x,y,s)
_TS_ASSERT_SAME_DATA
#define _TS_ASSERT_SAME_DATA(f, l, x, y, s)
Definition TestSuite.h:268

Definition at line 271 of file TestSuite.h.

## TS_ASSERT_THROWS

#define TS_ASSERT_THROWS | ( |  | e,
|  |  | t )

Value:
_TS_ASSERT_THROWS(__FILE__,__LINE__,e,t)
_TS_ASSERT_THROWS
#define _TS_ASSERT_THROWS(f, l, e, t)
Definition TestSuite.h:390

Definition at line 391 of file TestSuite.h.

## TS_ASSERT_THROWS_ANYTHING

#define TS_ASSERT_THROWS_ANYTHING | ( |  | e | ) |

Value:
_TS_ASSERT_THROWS_ANYTHING(__FILE__, __LINE__, e)
_TS_ASSERT_THROWS_ANYTHING
#define _TS_ASSERT_THROWS_ANYTHING(f, l, e)
Definition TestSuite.h:450

Definition at line 451 of file TestSuite.h.

## TS_ASSERT_THROWS_ASSERT

#define TS_ASSERT_THROWS_ASSERT | ( |  | e,
|  |  | t,
|  |  | a )

Value:
_TS_ASSERT_THROWS_ASSERT(__FILE__,__LINE__,e,t,a)
_TS_ASSERT_THROWS_ASSERT
#define _TS_ASSERT_THROWS_ASSERT(f, l, e, t, a)
Definition TestSuite.h:405

Definition at line 406 of file TestSuite.h.

## TS_ASSERT_THROWS_DELTA

#define TS_ASSERT_THROWS_DELTA | ( |  | e,
|  |  | t,
|  |  | x,
|  |  | y,
|  |  | d )

Value:
TS_ASSERT_THROWS_ASSERT(e,t,TS_ASSERT_DELTA(x,y,d))
TS_ASSERT_THROWS_ASSERT
#define TS_ASSERT_THROWS_ASSERT(e, t, a)
Definition TestSuite.h:406
TS_ASSERT_DELTA
#define TS_ASSERT_DELTA(x, y, d)
Definition TestSuite.h:373

Definition at line 420 of file TestSuite.h.

## TS_ASSERT_THROWS_DIFFERS

#define TS_ASSERT_THROWS_DIFFERS | ( |  | e,
|  |  | t,
|  |  | x,
|  |  | y )

Value:
TS_ASSERT_THROWS_ASSERT(e,t,TS_ASSERT_DIFFERS(x,y))
TS_ASSERT_DIFFERS
#define TS_ASSERT_DIFFERS(x, y)
Definition TestSuite.h:287

Definition at line 416 of file TestSuite.h.

## TS_ASSERT_THROWS_EQUALS

#define TS_ASSERT_THROWS_EQUALS | ( |  | e,
|  |  | t,
|  |  | x,
|  |  | y )

Value:
TS_ASSERT_THROWS_ASSERT(e,t,TS_ASSERT_EQUALS(x,y))
TS_ASSERT_EQUALS
#define TS_ASSERT_EQUALS(x, y)
Definition TestSuite.h:255

Definition at line 412 of file TestSuite.h.

## TS_ASSERT_THROWS_LESS_THAN

#define TS_ASSERT_THROWS_LESS_THAN | ( |  | e,
|  |  | t,
|  |  | x,
|  |  | y )

Value:
TS_ASSERT_THROWS_ASSERT(e,t,TS_ASSERT_LESS_THAN(x,y))
TS_ASSERT_LESS_THAN
#define TS_ASSERT_LESS_THAN(x, y)
Definition TestSuite.h:303

Definition at line 428 of file TestSuite.h.

## TS_ASSERT_THROWS_LESS_THAN_EQUALS

#define TS_ASSERT_THROWS_LESS_THAN_EQUALS | ( |  | e,
|  |  | t,
|  |  | x,
|  |  | y )

Value:
TS_ASSERT_THROWS_ASSERT(e,t,TS_ASSERT_LESS_THAN_EQUALS(x,y))
TS_ASSERT_LESS_THAN_EQUALS
#define TS_ASSERT_LESS_THAN_EQUALS(x, y)
Definition TestSuite.h:321

Definition at line 432 of file TestSuite.h.

## TS_ASSERT_THROWS_NOTHING

#define TS_ASSERT_THROWS_NOTHING | ( |  | e | ) |

Value:
_TS_ASSERT_THROWS_NOTHING(__FILE__,__LINE__,e)
_TS_ASSERT_THROWS_NOTHING
#define _TS_ASSERT_THROWS_NOTHING(f, l, e)
Definition TestSuite.h:462

Definition at line 463 of file TestSuite.h.

## TS_ASSERT_THROWS_PREDICATE

#define TS_ASSERT_THROWS_PREDICATE | ( |  | e,
|  |  | t,
|  |  | p,
|  |  | v )

Value:
TS_ASSERT_THROWS_ASSERT(e,t,TS_ASSERT_PREDICATE(p,v))
TS_ASSERT_PREDICATE
#define TS_ASSERT_PREDICATE(p, x)
Definition TestSuite.h:339
v
const Variable & v
< [in] a sqrfree bivariate poly
Definition facBivar.h:39

Definition at line 436 of file TestSuite.h.

## TS_ASSERT_THROWS_RELATION

#define TS_ASSERT_THROWS_RELATION | ( |  | e,
|  |  | t,
|  |  | r,
|  |  | x,
|  |  | y )

Value:
TS_ASSERT_THROWS_ASSERT(e,t,TS_ASSERT_RELATION(r,x,y))
TS_ASSERT_RELATION
#define TS_ASSERT_RELATION(r, x, y)
Definition TestSuite.h:357

Definition at line 440 of file TestSuite.h.

## TS_ASSERT_THROWS_SAME_DATA

#define TS_ASSERT_THROWS_SAME_DATA | ( |  | e,
|  |  | t,
|  |  | x,
|  |  | y,
|  |  | s )

Value:
TS_ASSERT_THROWS_ASSERT(e,t,TS_ASSERT_SAME_DATA(x,y,s))
TS_ASSERT_SAME_DATA
#define TS_ASSERT_SAME_DATA(x, y, s)
Definition TestSuite.h:271

Definition at line 424 of file TestSuite.h.

## TS_FAIL

#define TS_FAIL | ( |  | e | ) |

Value:
_TS_FAIL( __FILE__, __LINE__, e )
_TS_FAIL
#define _TS_FAIL(f, l, e)
Definition TestSuite.h:228

Definition at line 229 of file TestSuite.h.

## TS_TRACE

#define TS_TRACE | ( |  | e | ) |

Value:
_TS_TRACE( __FILE__, __LINE__, e )
_TS_TRACE
#define _TS_TRACE(f, l, e)
Definition TestSuite.h:220

Definition at line 221 of file TestSuite.h.

## TS_WARN

#define TS_WARN | ( |  | e | ) |

Value:
_TS_WARN( __FILE__, __LINE__, e )
_TS_WARN
#define _TS_WARN(f, l, e)
Definition TestSuite.h:224

Definition at line 225 of file TestSuite.h.

## TSM_ASSERT

#define TSM_ASSERT | ( |  | m,
|  |  | e )

Value:
_TSM_ASSERT(__FILE__,__LINE__,m,e)
_TSM_ASSERT
#define _TSM_ASSERT(f, l, m, e)
Definition TestSuite.h:242

Definition at line 245 of file TestSuite.h.

## TSM_ASSERT_DELTA

#define TSM_ASSERT_DELTA | ( |  | m,
|  |  | x,
|  |  | y,
|  |  | d )

Value:
_TSM_ASSERT_DELTA(__FILE__,__LINE__,m,x,y,d)
_TSM_ASSERT_DELTA
#define _TSM_ASSERT_DELTA(f, l, m, x, y, d)
Definition TestSuite.h:376

Definition at line 379 of file TestSuite.h.

## TSM_ASSERT_DIFFERS

#define TSM_ASSERT_DIFFERS | ( |  | m,
|  |  | x,
|  |  | y )

Value:
_TSM_ASSERT_DIFFERS(__FILE__,__LINE__,m,x,y)
_TSM_ASSERT_DIFFERS
#define _TSM_ASSERT_DIFFERS(f, l, m, x, y)
Definition TestSuite.h:290

Definition at line 293 of file TestSuite.h.

## TSM_ASSERT_EQUALS

#define TSM_ASSERT_EQUALS | ( |  | m,
|  |  | x,
|  |  | y )

Value:
_TSM_ASSERT_EQUALS(__FILE__,__LINE__,m,x,y)
_TSM_ASSERT_EQUALS
#define _TSM_ASSERT_EQUALS(f, l, m, x, y)
Definition TestSuite.h:258

Definition at line 261 of file TestSuite.h.

## TSM_ASSERT_LESS_THAN

#define TSM_ASSERT_LESS_THAN | ( |  | m,
|  |  | x,
|  |  | y )

Value:
_TSM_ASSERT_LESS_THAN(__FILE__,__LINE__,m,x,y)
_TSM_ASSERT_LESS_THAN
#define _TSM_ASSERT_LESS_THAN(f, l, m, x, y)
Definition TestSuite.h:306

Definition at line 309 of file TestSuite.h.

## TSM_ASSERT_LESS_THAN_EQUALS

#define TSM_ASSERT_LESS_THAN_EQUALS | ( |  | m,
|  |  | x,
|  |  | y )

Value:
_TSM_ASSERT_LESS_THAN_EQUALS(__FILE__,__LINE__,m,x,y)
_TSM_ASSERT_LESS_THAN_EQUALS
#define _TSM_ASSERT_LESS_THAN_EQUALS(f, l, m, x, y)
Definition TestSuite.h:324

Definition at line 327 of file TestSuite.h.

## TSM_ASSERT_PREDICATE

#define TSM_ASSERT_PREDICATE | ( |  | m,
|  |  | p,
|  |  | x )

Value:
_TSM_ASSERT_PREDICATE(__FILE__,__LINE__,m,p,x)
_TSM_ASSERT_PREDICATE
#define _TSM_ASSERT_PREDICATE(f, l, m, p, x)
Definition TestSuite.h:342

Definition at line 345 of file TestSuite.h.

## TSM_ASSERT_RELATION

#define TSM_ASSERT_RELATION | ( |  | m,
|  |  | r,
|  |  | x,
|  |  | y )

Value:
_TSM_ASSERT_RELATION(__FILE__,__LINE__,m,r,x,y)
_TSM_ASSERT_RELATION
#define _TSM_ASSERT_RELATION(f, l, m, r, x, y)
Definition TestSuite.h:360

Definition at line 363 of file TestSuite.h.

## TSM_ASSERT_SAME_DATA

#define TSM_ASSERT_SAME_DATA | ( |  | m,
|  |  | x,
|  |  | y,
|  |  | s )

Value:
_TSM_ASSERT_SAME_DATA(__FILE__,__LINE__,m,x,y,s)
_TSM_ASSERT_SAME_DATA
#define _TSM_ASSERT_SAME_DATA(f, l, m, x, y, s)
Definition TestSuite.h:274

Definition at line 277 of file TestSuite.h.

## TSM_ASSERT_THROWS

#define TSM_ASSERT_THROWS | ( |  | m,
|  |  | e,
|  |  | t )

Value:
_TSM_ASSERT_THROWS(__FILE__,__LINE__,m,e,t)
_TSM_ASSERT_THROWS
#define _TSM_ASSERT_THROWS(f, l, m, e, t)
Definition TestSuite.h:393

Definition at line 394 of file TestSuite.h.

## TSM_ASSERT_THROWS_ANYTHING

#define TSM_ASSERT_THROWS_ANYTHING | ( |  | m,
|  |  | e )

Value:
_TSM_ASSERT_THROWS_ANYTHING(__FILE__,__LINE__,m,e)
_TSM_ASSERT_THROWS_ANYTHING
#define _TSM_ASSERT_THROWS_ANYTHING(f, l, m, e)
Definition TestSuite.h:453

Definition at line 454 of file TestSuite.h.

## TSM_ASSERT_THROWS_ASSERT

#define TSM_ASSERT_THROWS_ASSERT | ( |  | m,
|  |  | e,
|  |  | t,
|  |  | a )

Value:
_TSM_ASSERT_THROWS_ASSERT(__FILE__,__LINE__,m,e,t,a)
_TSM_ASSERT_THROWS_ASSERT
#define _TSM_ASSERT_THROWS_ASSERT(f, l, m, e, t, a)
Definition TestSuite.h:408

Definition at line 409 of file TestSuite.h.

## TSM_ASSERT_THROWS_DELTA

#define TSM_ASSERT_THROWS_DELTA | ( |  | m,
|  |  | e,
|  |  | t,
|  |  | x,
|  |  | y,
|  |  | d )

Value:
TSM_ASSERT_THROWS_ASSERT(m,e,t,TSM_ASSERT_DELTA(m,x,y,d))
TSM_ASSERT_THROWS_ASSERT
#define TSM_ASSERT_THROWS_ASSERT(m, e, t, a)
Definition TestSuite.h:409
TSM_ASSERT_DELTA
#define TSM_ASSERT_DELTA(m, x, y, d)
Definition TestSuite.h:379

Definition at line 421 of file TestSuite.h.

## TSM_ASSERT_THROWS_DIFFERS

#define TSM_ASSERT_THROWS_DIFFERS | ( |  | m,
|  |  | e,
|  |  | t,
|  |  | x,
|  |  | y )

Value:
TSM_ASSERT_THROWS_ASSERT(m,e,t,TSM_ASSERT_DIFFERS(m,x,y))
TSM_ASSERT_DIFFERS
#define TSM_ASSERT_DIFFERS(m, x, y)
Definition TestSuite.h:293

Definition at line 417 of file TestSuite.h.

## TSM_ASSERT_THROWS_EQUALS

#define TSM_ASSERT_THROWS_EQUALS | ( |  | m,
|  |  | e,
|  |  | t,
|  |  | x,
|  |  | y )

Value:
TSM_ASSERT_THROWS_ASSERT(m,e,t,TSM_ASSERT_EQUALS(m,x,y))
TSM_ASSERT_EQUALS
#define TSM_ASSERT_EQUALS(m, x, y)
Definition TestSuite.h:261

Definition at line 413 of file TestSuite.h.

## TSM_ASSERT_THROWS_LESS_THAN

#define TSM_ASSERT_THROWS_LESS_THAN | ( |  | m,
|  |  | e,
|  |  | t,
|  |  | x,
|  |  | y )

Value:
TSM_ASSERT_THROWS_ASSERT(m,e,t,TSM_ASSERT_LESS_THAN(m,x,y))
TSM_ASSERT_LESS_THAN
#define TSM_ASSERT_LESS_THAN(m, x, y)
Definition TestSuite.h:309

Definition at line 429 of file TestSuite.h.

## TSM_ASSERT_THROWS_LESS_THAN_EQUALS

#define TSM_ASSERT_THROWS_LESS_THAN_EQUALS | ( |  | m,
|  |  | e,
|  |  | t,
|  |  | x,
|  |  | y )

Value:
TSM_ASSERT_THROWS_ASSERT(m,e,t,TSM_ASSERT_LESS_THAN_EQUALS(m,x,y))
TSM_ASSERT_LESS_THAN_EQUALS
#define TSM_ASSERT_LESS_THAN_EQUALS(m, x, y)
Definition TestSuite.h:327

Definition at line 433 of file TestSuite.h.

## TSM_ASSERT_THROWS_NOTHING

#define TSM_ASSERT_THROWS_NOTHING | ( |  | m,
|  |  | e )

Value:
_TSM_ASSERT_THROWS_NOTHING(__FILE__,__LINE__,m,e)
_TSM_ASSERT_THROWS_NOTHING
#define _TSM_ASSERT_THROWS_NOTHING(f, l, m, e)
Definition TestSuite.h:465

Definition at line 466 of file TestSuite.h.

## TSM_ASSERT_THROWS_PREDICATE

#define TSM_ASSERT_THROWS_PREDICATE | ( |  | m,
|  |  | e,
|  |  | t,
|  |  | p,
|  |  | v )

Value:
TSM_ASSERT_THROWS_ASSERT(m,e,t,TSM_ASSERT_PREDICATE(m,p,v))
TSM_ASSERT_PREDICATE
#define TSM_ASSERT_PREDICATE(m, p, x)
Definition TestSuite.h:345

Definition at line 437 of file TestSuite.h.

## TSM_ASSERT_THROWS_RELATION

#define TSM_ASSERT_THROWS_RELATION | ( |  | m,
|  |  | e,
|  |  | t,
|  |  | r,
|  |  | x,
|  |  | y )

Value:
TSM_ASSERT_THROWS_ASSERT(m,e,t,TSM_ASSERT_RELATION(m,r,x,y))
TSM_ASSERT_RELATION
#define TSM_ASSERT_RELATION(m, r, x, y)
Definition TestSuite.h:363

Definition at line 441 of file TestSuite.h.

## TSM_ASSERT_THROWS_SAME_DATA

#define TSM_ASSERT_THROWS_SAME_DATA | ( |  | m,
|  |  | e,
|  |  | t,
|  |  | x,
|  |  | y,
|  |  | s )

Value:
TSM_ASSERT_THROWS_ASSERT(m,e,t,TSM_ASSERT_SAME_DATA(m,x,y,s))
TSM_ASSERT_SAME_DATA
#define TSM_ASSERT_SAME_DATA(m, x, y, s)
Definition TestSuite.h:277

Definition at line 425 of file TestSuite.h.